# This file created by conda-build 3.22.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri Dec 30 07:58:28 2022
# ------------------------------------------------

package:
  name: nest-asyncio
  version: 1.5.6
source:
  sha256: d267cc1ff794403f7df692964d1d2a3fa9418ffea2a3f6859a439ff482fef290
  url: https://pypi.io/packages/source/n/nest_asyncio/nest_asyncio-1.5.6.tar.gz
build:
  number: '0'
  script: /croot/nest-asyncio_1672387112409/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
    -m pip install --no-deps . -vv
  string: py310h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2022.10.11 h06a4308_0
    - certifi 2022.12.7 py310h06a4308_0
    - flit-core 3.6.0 pyhd3eb1b0_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.2 h6a678d5_6
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.3 h5eee18b_3
    - openssl 1.1.1s h7f8727e_0
    - packaging 22.0 py310h06a4308_0
    - pip 22.3.1 py310h06a4308_0
    - python 3.10.8 h7a1cb2a_1
    - readline 8.2 h5eee18b_0
    - setuptools 65.5.0 py310h06a4308_0
    - setuptools-scm 7.0.4 py310h06a4308_0
    - setuptools_scm 7.0.4 hd3eb1b0_0
    - sqlite 3.40.0 h5082296_0
    - tk 8.6.12 h1ccaba5_0
    - toml 0.10.2 pyhd3eb1b0_0
    - tomli 2.0.1 py310h06a4308_0
    - typing-extensions 4.4.0 py310h06a4308_0
    - typing_extensions 4.4.0 py310h06a4308_0
    - tzdata 2022g h04d1e81_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.8 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - python >=3.10,<3.11.0a0
test:
  commands:
    - pip check
  imports:
    - nest_asyncio
  requires:
    - pip
about:
  description: 'By design asyncio does not allow its event loop to be nested.

    This presents a practical problem - when in an environment where the event loop
    is already running it''s impossible to run tasks and wait for the result.

    Trying to do so will give the error RuntimeError - This event loop is already
    running.

    The issue pops up in various environments, such as web servers, GUI applications
    and in Jupyter notebooks.

    This module patches asyncio to allow nested use of asyncio.run and loop.run_until_complete.

    '
  dev_url: https://github.com/erdewit/nest_asyncio
  doc_url: https://github.com/erdewit/nest_asyncio/blob/master/README.rst
  home: https://github.com/erdewit/nest_asyncio
  license: BSD-2-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Patch asyncio to allow nested event loops
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: f4dc2002-a395-4eda-b978-8bd6fa72c1df
  recipe-maintainers:
    - SylvainCorlay
    - dhirschfeld
    - yehoshuadimarsky
  remote_url: git@github.com:AnacondaRecipes/nest-asyncio-feedstock.git
  sha: 46a3a34605810fb83a7aa6fac89977844a935529
